package cn.com.qmth.examcloud.core.reports.api.controller;

import cn.com.qmth.examcloud.api.commons.exchange.PageInfo;
import cn.com.qmth.examcloud.core.reports.base.bean.ExamDataBean;
import cn.com.qmth.examcloud.core.reports.base.bean.OnlineStatisticBean;
import cn.com.qmth.examcloud.core.reports.service.ExamDataService;
import cn.com.qmth.examcloud.web.support.ControllerSupport;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

@RestController
@Api(tags = "考试数据")
@RequestMapping("${$rmp.ctr.reports}/examData")
public class ExamDataController extends ControllerSupport {

    @Autowired
    private ExamDataService examDataService;

    @GetMapping("/page/{pageNo}/{pageSize}")
    @ApiOperation(value = "分页查询考试在线人数及完成情况")
    public PageInfo<ExamDataBean> queryPage(@RequestParam Long rootOrgId,
                                            @RequestParam(required = false) String examName,
                                            @PathVariable @ApiParam(value = "pageNo：1、2、3...") Integer pageNo,
                                            @PathVariable Integer pageSize) {
        return examDataService.queryPage(rootOrgId, examName, pageNo, pageSize);
    }

    @PostMapping("/online/statistic")
    @ApiOperation(value = "学校、考试在线人数概况")
    public OnlineStatisticBean onlineStatistic(@RequestParam Long rootOrgId,
                                               @RequestParam Long examId) {
        return examDataService.onlineStatistic(rootOrgId, examId);
    }

}
