package cn.com.qmth.examcloud.core.reports.api.controller;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import cn.com.qmth.examcloud.api.commons.security.bean.User;
import cn.com.qmth.examcloud.core.reports.service.ExamStudentCountService;
import cn.com.qmth.examcloud.web.support.ControllerSupport;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

@RestController
@Api(tags = "考生在线人数")
@RequestMapping("${$rmp.ctr.reports}/" + "examStudentCount")
public class ExamStudentCountController extends ControllerSupport {

    @Autowired
    private ExamStudentCountService examStudentCountService;

    @GetMapping("/getOnlineCount")
    @ApiOperation(value = "获取在线人数")
    public Long getOnlineCount(@RequestParam(required = false) Long orgId,
            @RequestParam(required = false) Long examId) {
        User user = getAccessUser();
        return examStudentCountService.getOnlineCount(user.getRootOrgId(), orgId, examId);
    }
}