package cn.com.qmth.examcloud.core.reports.base.bean;

import java.util.List;

import javax.persistence.EnumType;
import javax.persistence.Enumerated;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

import org.hibernate.validator.constraints.Length;

import cn.com.qmth.examcloud.api.commons.exchange.JsonSerializable;
import cn.com.qmth.examcloud.core.reports.base.enums.AnalyseType;
import cn.com.qmth.examcloud.core.reports.base.enums.DataOrigin;
import io.swagger.annotations.ApiModelProperty;

public class AddProjectReq implements JsonSerializable {


	/**
	 * 
	 */
	private static final long serialVersionUID = -5807098559991360206L;

	// 项目名
	@NotBlank(message = "项目名称不能为空")
	@Length(min = 1, max = 100, message = "项目名称长度需要在1和100之间")
    @ApiModelProperty(value = "项目名称")
	private String name;

	// 分析类型
	@NotNull(message = "分析类型不能为空")
    @ApiModelProperty(value = "分析类型")
	@Enumerated(EnumType.STRING)
	private AnalyseType analyseType;

	// 数据来源
	@NotNull(message = "数据来源不能为空")
    @ApiModelProperty(value = "数据来源")
	@Enumerated(EnumType.STRING)
	private DataOrigin dataOrigin;

	// 样本数量
    @ApiModelProperty(value = "样本数量")
	private Integer sampleCount;

	// 所选考试id
	private List<Long> examIds;

	// 备注
	@Length(min = 0, max = 100, message = "备注长度需要在0和100之间")
	private String remarks;

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public AnalyseType getAnalyseType() {
		return analyseType;
	}

	public void setAnalyseType(AnalyseType analyseType) {
		this.analyseType = analyseType;
	}

	public DataOrigin getDataOrigin() {
		return dataOrigin;
	}

	public void setDataOrigin(DataOrigin dataOrigin) {
		this.dataOrigin = dataOrigin;
	}

	public Integer getSampleCount() {
		return sampleCount;
	}

	public void setSampleCount(Integer sampleCount) {
		this.sampleCount = sampleCount;
	}


	public List<Long> getExamIds() {
		return examIds;
	}

	public void setExamIds(List<Long> examIds) {
		this.examIds = examIds;
	}

	public String getRemarks() {
		return remarks;
	}

	public void setRemarks(String remarks) {
		this.remarks = remarks;
	}
	
	
}
