package cn.com.qmth.examcloud.core.reports.dao;

import java.util.List;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;

import cn.com.qmth.examcloud.core.reports.dao.entity.ExamStudentCountEntity;

public interface ExamStudentCountRepo extends JpaRepository<ExamStudentCountEntity, Long>,
		JpaSpecificationExecutor<ExamStudentCountEntity> {
	public List<ExamStudentCountEntity> findByRootOrgId(Long rootOrgId);

	public ExamStudentCountEntity findByRootOrgIdAndExamId(Long rootOrgId,Long examId);

	@Modifying
	@Query(value = "update ec_r_exam_student_count set online_count=0", nativeQuery = true)
	public void resetAllCount();
	
	@Query(value = "select * from ec_r_exam_student_count where root_org_id in(?1)", nativeQuery = true)
	public List<ExamStudentCountEntity> getByRootOrgIds(List<Long> rootOrgIds);
	
	@Query(value = "select * from ec_r_exam_student_count where exam_id in(?1) and root_org_id=(?2)", nativeQuery = true)
	public List<ExamStudentCountEntity> getByExamIdsRootOrgId(List<Long> examIds,Long rootOrgId);

}
