package cn.com.qmth.examcloud.core.reports.dao.entity;

import java.util.Date;

import javax.persistence.Entity;
import javax.persistence.EnumType;
import javax.persistence.Enumerated;
import javax.persistence.Index;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import cn.com.qmth.examcloud.api.commons.security.bean.UserType;
import cn.com.qmth.examcloud.core.reports.dao.entity.share.IdEntity;

@Entity
@Table(name = "ec_r_operate", indexes = {
		@Index(name = "IDX_R_OPERATE_01", columnList = "rootOrgId,studentId", unique = false),
		@Index(name = "IDX_R_OPERATE_02", columnList = "rootOrgId,studentId,operateTime", unique = false),
		@Index(name = "IDX_R_OPERATE_03", columnList = "msgId", unique = true)})
public class OperateEntity extends IdEntity {

	/**
	 * 
	 */
	private static final long serialVersionUID = -5964824217953870271L;
	@NotNull
	private Long rootOrgId;
	private Long operateUserId;
	@NotNull
	private Long studentId;
	private Long examStudentId;
	private String operateIp;
	@NotNull
	@Enumerated(EnumType.STRING)
	private UserType operateUserType;
	@NotNull
	private Date operateTime;
	@NotNull
	private String operate;
	@NotNull
	private String msgId;
	public Long getRootOrgId() {
		return rootOrgId;
	}
	public void setRootOrgId(Long rootOrgId) {
		this.rootOrgId = rootOrgId;
	}
	public String getOperateIp() {
		return operateIp;
	}
	public void setOperateIp(String operateIp) {
		this.operateIp = operateIp;
	}
	
	public UserType getOperateUserType() {
		return operateUserType;
	}
	public void setOperateUserType(UserType operateUserType) {
		this.operateUserType = operateUserType;
	}
	public Date getOperateTime() {
		return operateTime;
	}
	public void setOperateTime(Date operateTime) {
		this.operateTime = operateTime;
	}
	public String getOperate() {
		return operate;
	}
	public void setOperate(String operate) {
		this.operate = operate;
	}
	public String getMsgId() {
		return msgId;
	}
	public void setMsgId(String msgId) {
		this.msgId = msgId;
	}
	public Long getOperateUserId() {
		return operateUserId;
	}
	public void setOperateUserId(Long operateUserId) {
		this.operateUserId = operateUserId;
	}
	public Long getStudentId() {
		return studentId;
	}
	public void setStudentId(Long studentId) {
		this.studentId = studentId;
	}
	public Long getExamStudentId() {
		return examStudentId;
	}
	public void setExamStudentId(Long examStudentId) {
		this.examStudentId = examStudentId;
	}

	

}
